ProbeException (MetaCoretex API)
Keywords: com.securitycentric.metacoretex.lib.ProbeException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.securitycentric.metacoretex.lib
Class ProbeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.securitycentric.metacoretex.lib.ProbeException

All Implemented Interfaces:
  java.io.Serializable

public class ProbeException
extends java.lang.Exception

Author:
  visigoth
See Also:
  Serialized Form

Constructor Summary
`ProbeException()` Creates a new instance of `ProbeException` without detail message.
`ProbeException(java.lang.String msg)` Constructs an instance of `ProbeException` with the specified detail message.

Method Summary
`java.lang.String` | `getProbeName()`
`java.util.Properties` | `getProbeOptions()`
`void` | `setProbeName(java.lang.String name)`
`void` | `setProbeOptions(java.util.Properties prop)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProbeException

    public ProbeException()

  Creates a new instance of `ProbeException` without detail message.

### ProbeException

    public ProbeException(java.lang.String msg)

  Constructs an instance of `ProbeException` with the specified detail message.

Parameters:
  `msg` - the detail message.

Method Detail

### getProbeName

    public java.lang.String getProbeName()

### setProbeName

    public void setProbeName(java.lang.String name)

### getProbeOptions

    public java.util.Properties getProbeOptions()

### setProbeOptions

    public void setProbeOptions(java.util.Properties prop)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD